Куда пропали Дельта, Гама и т.д. в 4.0.4
Atom
07.11.2011


Как теперь посчитать греки ?

раньше было :
strategy.Security.Delta

теперь на такое пишет :

"StockSharp.BusinessEntities.Security" не содержит определения для "Delta" и не был найден метод расширения "Delta", принимающий тип "StockSharp.BusinessEntities.Security" в качестве первого аргумента (возможно, пропущена директива using или ссылка на сборку)

Confused Confused Confused

Теги:


Спасибо:




1 2 3  > >>
lesser

Фотография
Дата: 07.11.2011
Ответить


Помоему разобрался сам :

Теперь надо делать :
var bs = new BlackScholes(strategy.Security);
del = bs.Delta(.....

Правильно ?

если да то вам надо поправить пример с дельтахеджем.
Спасибо:

Mikhail Sukhov

Фотография
Дата: 07.11.2011
Ответить


lesser Перейти

если да то вам надо поправить пример с дельтахеджем.


А что с ним не так?
Спасибо:

lesser

Фотография
Дата: 07.11.2011
Ответить


var delta = strategy.Security.Delta(strategy.Security.Volatility / 100m);

в 4.0.4 так не получается
Спасибо:

lesser

Фотография
Дата: 07.11.2011
Ответить


И вобше , я сдури ( начитавшись что пофиксили траблы со счетом позиций , а у меня на 4.0.3 иногда позиция стратегии почемуто не менялась , когда дочерняя стратегия делала трейд) решил поменять библиотеки стокшарп в своем роботе с 4.0.3 на 4.0.4, код не менял совсем , робот сдурел наслал стоько заявок что я потом пол часа из удалял из стаканов а они еще появлялись и появлялись.

Что ж вы там такое изменили , неужели можно так без предупреждений менять логику работы ?

Спасибо:

Mikhail Sukhov

Фотография
Дата: 07.11.2011
Ответить


lesser Перейти
Что ж вы там такое изменили , неужели можно так без предупреждений менять логику работы ?


Лог в студию.
Спасибо:

lesser

Фотография
Дата: 07.11.2011
Ответить


Ага , мне не до логов было , когда я увидел что творится .

Но в коде ничего не менял , только по новому греки пересчитывал через var bs...

Видно бага какая то серезная есть .

Мне сейчас своево робота вернуть бы к жизни, потом может снова на 4.0.4 попробую запустить , но все таки наверное дождусь следующей стабильной версии.
Спасибо:

Alexander

Фотография
Дата: 07.11.2011
Ответить


lesser Перейти
Ага , мне не до логов было , когда я увидел что творится .

Но в коде ничего не менял , только по новому греки пересчитывал через var bs...

Видно бага какая то серезная есть .

Мне сейчас своево робота вернуть бы к жизни, потом может снова на 4.0.4 попробую запустить , но все таки наверное дождусь следующей стабильной версии.



Так если не понятно что не работает, как мы это исправим к следующей версии?
Вообще не понятно у нас ли проблема или у вас какая-то всплыла в логике...

Запустите без выставления заявок на реальном рынке
Спасибо:

Mikhail Sukhov

Фотография
Дата: 07.11.2011
Ответить


lesser Перейти
Мне сейчас своево робота вернуть бы к жизни, потом может снова на 4.0.4 попробую запустить , но все таки наверное дождусь следующей стабильной версии.


БШ работает, проверил по тестам. Думаю, проблема в логике робота. Уверен почти на 99%. Слишком уж симптомы знакомы. Так что ждать придется по всей видимости долго.Cool
Спасибо:

lesser

Фотография
Дата: 07.11.2011
Ответить


Спорить не буду , может и у меня , будет время разберусть ,

подозрительно что на 4.0.3 работает на 4.0.4 сразу загинается ,

а вот вспомнил еще такое :

может туда стоит посмотреть , из за баги о которой я говорил раньше я подменялял на опционах:

strategy.Security.UnderlyingSecurityId = "UXZ1@UX";

в коде с 4.0.4 я это убрал , так как сказали что баг нашли и исправили, завтра попробую с библиотеками 4.0.4 но подмену оставлю, мож там проблема и не нужно будет логирование включать :)
Спасибо:

lesser

Фотография
Дата: 07.11.2011
Ответить


Еще вот бага в 4.0.4


Ошибка 1 Не удалось загрузить метаданные для сборки "StockSharp.Xaml". Возможно, эта сборка была загружена из Интернета. См. http://go.microsoft.com/fwlink/?LinkId=179545. При загрузке возникли следующие ошибки: Невозможно загрузить файл или сборку "StockSharp.Xaml, Version=4.0.4.0, Culture=neutral, PublicKeyToken=null" или один из зависимых от них компонентов. Операция не поддерживается. (Исключение из HRESULT: 0x80131515)

4.0.3 беру там нормально .
Спасибо:
1 2 3  > >>

Добавить файлы через драг-н-дроп, , или вставить из буфера обмена.

loading
clippy